NX Open C++ Reference Guide
|
Represents a ResizeBendRadius feature builder. More...
Public Types | |
enum | BendReliefTypeOptions { BendReliefTypeOptionsSquare, BendReliefTypeOptionsRound, BendReliefTypeOptionsNone } |
This enum represents the bend relief type. More... | |
enum | Types { TypesFixedFoldedLength, TypesFixedUnfoldedLength } |
This enum represents the feature types. More... | |
Public Member Functions | |
NXOpen::ScCollector * | BendFaces () |
Returns the bend faces Created in NX5.0.0. | |
NXOpen::Expression * | BendRadius () |
Returns the bend radius Created in NX5.0.0. | |
NXOpen::Expression * | BendReliefDepth () |
Returns the bend relief depth. | |
NXOpen::Features::SheetMetal::ResizeBendRadiusBuilder::BendReliefTypeOptions | BendReliefType () |
Returns the relief type for the resize bend radius feature.The options are in Features::SheetMetal::ResizeBendRadiusBuilder::BendReliefType . | |
NXOpen::Expression * | BendReliefWidth () |
Returns the bend relief width. | |
NXOpen::SelectDisplayableObject * | ReferenceEntity () |
Returns the non-thickness planar face or linear edge to remain fixed while bend is resized Created in NX7.0.0. | |
void | SetBendReliefType (NXOpen::Features::SheetMetal::ResizeBendRadiusBuilder::BendReliefTypeOptions bendReliefType) |
Created in NX9.0.0. | |
void | SetType (NXOpen::Features::SheetMetal::ResizeBendRadiusBuilder::Types type) |
Sets the feature type Created in NX7.0.0. | |
NXOpen::Features::SheetMetal::ResizeBendRadiusBuilder::Types | Type () |
Returns the feature type Created in NX7.0.0. | |
![]() | |
NXOpen::Features::SheetMetal::ApplicationContext | GetApplicationContext () |
Get the application context. | |
void | SetApplicationContext (NXOpen::Features::SheetMetal::ApplicationContext appContext) |
Set the application context. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a ResizeBendRadius feature builder.
<br> To create a new instance of this class, use @link Features::SheetMetal::SheetmetalManager::CreateResizeBendRadiusFeatureBuilder Features::SheetMetal::SheetmetalManager::CreateResizeBendRadiusFeatureBuilder @endlink <br>
Created in NX5.0.0.
NXOpen::ScCollector* NXOpen::Features::SheetMetal::ResizeBendRadiusBuilder::BendFaces | ( | ) |
Returns the bend faces
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Features::SheetMetal::ResizeBendRadiusBuilder::BendRadius | ( | ) |
Returns the bend radius
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Features::SheetMetal::ResizeBendRadiusBuilder::BendReliefDepth | ( | ) |
Returns the bend relief depth.
Created in NX9.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Features::SheetMetal::ResizeBendRadiusBuilder::BendReliefTypeOptions NXOpen::Features::SheetMetal::ResizeBendRadiusBuilder::BendReliefType | ( | ) |
Returns the relief type for the resize bend radius feature.The options are in Features::SheetMetal::ResizeBendRadiusBuilder::BendReliefType .
Created in NX9.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Features::SheetMetal::ResizeBendRadiusBuilder::BendReliefWidth | ( | ) |
Returns the bend relief width.
Created in NX9.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::SelectDisplayableObject* NXOpen::Features::SheetMetal::ResizeBendRadiusBuilder::ReferenceEntity | ( | ) |
Returns the non-thickness planar face or linear edge to remain fixed while bend is resized
Created in NX7.0.0.
License requirements : None
void NXOpen::Features::SheetMetal::ResizeBendRadiusBuilder::SetBendReliefType | ( | NXOpen::Features::SheetMetal::ResizeBendRadiusBuilder::BendReliefTypeOptions | bendReliefType | ) |
Created in NX9.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
bendReliefType | bend relief type |
void NXOpen::Features::SheetMetal::ResizeBendRadiusBuilder::SetType | ( | NXOpen::Features::SheetMetal::ResizeBendRadiusBuilder::Types | type | ) |
Sets the feature type
Created in NX7.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
type | type |
NXOpen::Features::SheetMetal::ResizeBendRadiusBuilder::Types NXOpen::Features::SheetMetal::ResizeBendRadiusBuilder::Type | ( | ) |
Returns the feature type
Created in NX7.0.0.
License requirements : None